<template>
  <v-app-bar app flat color="grey lighten-4">
    <v-toolbar-title>
      <span>Projects</span>
      <span class="text-uppercase text-grey-darken-2">Todo</span>
    </v-toolbar-title>

    <!-- dropdown menu -->

    <v-menu offset-y open-on-hover>
      <template v-slot:activator="{ props }">
        <v-btn flat color="bg-grey" v-bind="props">
          <v-icon left icon="mdi-chevron-down"></v-icon>
          <span>Menu</span>
        </v-btn>
      </template>

      <v-list>
        <v-list-item
          v-for="link in items"
          :key="link.text"
          router
          :to="link.route"
        >
          <v-list-item-title>{{ link.text }}</v-list-item-title>
        </v-list-item>
      </v-list>
    </v-menu>

    <v-spacer> </v-spacer>

    <v-btn flat class="bg-grey">
      <span>Sign-out</span>
      <v-icon right icon="mdi-logout"></v-icon>
    </v-btn>
  </v-app-bar>
</template>

<script setup lang="ts">
import { RouterLink } from "vue-router";

import { ref } from "vue";

// icon names can be found at https://materialdesignicons.com/
const items = ref([
  { text: "Home", icon: "mdi-home", route: "/" },
  {
    text: "Projects",
    icon: "mdi-clipboard-check-multiple-outline",
    route: "/projects",
  },
  { text: "Team", icon: "mdi-account-multiple", route: "/team" },
  { text: "About", icon: "mdi-information-outline", route: "/about" },
]);
</script>

<style scoped></style>
